Package com.thaiopensource.relaxng.pattern

## Class AbstractCMRelaxNGCollector

- java.lang.Object
- - com.thaiopensource.relaxng.pattern.AbstractCMRelaxNGCollector

Direct Known Subclasses:
  `CMRelaxNGAttributeDeclarationCollector`, `CMRelaxNGAttributeValuesCollector`, `CMRelaxNGElementDeclarationCollector`

    public abstract class AbstractCMRelaxNGCollector
    extends Object

Abstract class to collect `ElementPattern`, `AttributePattern`, etc.

NOTE : this class is hosted in 'com.thaiopensource.relaxng.pattern' because `Pattern` implementation like `ElementPattern` are not public. Once https://github.com/relaxng/jing-trang/issues/271 will be fixed we could move this class in 'org.eclipse.lemminx.extensions.relaxng.contentmodel' package.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`AbstractCMRelaxNGCollector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.thaiopensource.util.VoidValue` `caseAfter​(com.thaiopensource.relaxng.pattern.AfterPattern p)`
`com.thaiopensource.util.VoidValue` `caseAttribute​(com.thaiopensource.relaxng.pattern.AttributePattern p)`
`com.thaiopensource.util.VoidValue` `caseBinary​(com.thaiopensource.relaxng.pattern.BinaryPattern p)`
`com.thaiopensource.util.VoidValue` `caseChoice​(com.thaiopensource.relaxng.pattern.ChoicePattern p)`
`T` `caseData​(com.thaiopensource.relaxng.pattern.DataPattern arg0)`
`T` `caseDataExcept​(com.thaiopensource.relaxng.pattern.DataExceptPattern arg0)`
`com.thaiopensource.util.VoidValue` `caseElement​(com.thaiopensource.relaxng.pattern.ElementPattern p)`
`T` `caseEmpty​(com.thaiopensource.relaxng.pattern.EmptyPattern arg0)`
`T` `caseError​(com.thaiopensource.relaxng.pattern.ErrorPattern arg0)`
`com.thaiopensource.util.VoidValue` `caseGroup​(com.thaiopensource.relaxng.pattern.GroupPattern p)`
`com.thaiopensource.util.VoidValue` `caseInterleave​(com.thaiopensource.relaxng.pattern.InterleavePattern p)`
`T` `caseList​(com.thaiopensource.relaxng.pattern.ListPattern arg0)`
`T` `caseNotAllowed​(com.thaiopensource.relaxng.pattern.NotAllowedPattern arg0)`
`com.thaiopensource.util.VoidValue` `caseOneOrMore​(com.thaiopensource.relaxng.pattern.OneOrMorePattern p)`
`com.thaiopensource.util.VoidValue` `caseOther​(com.thaiopensource.relaxng.pattern.Pattern p)`
`T` `caseRef​(com.thaiopensource.relaxng.pattern.RefPattern arg0)`
`T` `caseText​(com.thaiopensource.relaxng.pattern.TextPattern arg0)`
`T` `caseValue​(com.thaiopensource.relaxng.pattern.ValuePattern arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCMRelaxNGCollector

    public AbstractCMRelaxNGCollector()

### Method Detail

#### caseElement

    public com.thaiopensource.util.VoidValue caseElement​(com.thaiopensource.relaxng.pattern.ElementPattern p)

#### caseAfter

    public com.thaiopensource.util.VoidValue caseAfter​(com.thaiopensource.relaxng.pattern.AfterPattern p)

#### caseBinary

    public com.thaiopensource.util.VoidValue caseBinary​(com.thaiopensource.relaxng.pattern.BinaryPattern p)

#### caseChoice

    public com.thaiopensource.util.VoidValue caseChoice​(com.thaiopensource.relaxng.pattern.ChoicePattern p)

#### caseGroup

    public com.thaiopensource.util.VoidValue caseGroup​(com.thaiopensource.relaxng.pattern.GroupPattern p)

#### caseInterleave

    public com.thaiopensource.util.VoidValue caseInterleave​(com.thaiopensource.relaxng.pattern.InterleavePattern p)

#### caseOneOrMore

    public com.thaiopensource.util.VoidValue caseOneOrMore​(com.thaiopensource.relaxng.pattern.OneOrMorePattern p)

#### caseAttribute

    public com.thaiopensource.util.VoidValue caseAttribute​(com.thaiopensource.relaxng.pattern.AttributePattern p)

#### caseOther

    public com.thaiopensource.util.VoidValue caseOther​(com.thaiopensource.relaxng.pattern.Pattern p)

#### caseEmpty

    public T caseEmpty​(com.thaiopensource.relaxng.pattern.EmptyPattern arg0)

#### caseNotAllowed

    public T caseNotAllowed​(com.thaiopensource.relaxng.pattern.NotAllowedPattern arg0)

#### caseError

    public T caseError​(com.thaiopensource.relaxng.pattern.ErrorPattern arg0)

#### caseData

    public T caseData​(com.thaiopensource.relaxng.pattern.DataPattern arg0)

#### caseDataExcept

    public T caseDataExcept​(com.thaiopensource.relaxng.pattern.DataExceptPattern arg0)

#### caseValue

    public T caseValue​(com.thaiopensource.relaxng.pattern.ValuePattern arg0)

#### caseText

    public T caseText​(com.thaiopensource.relaxng.pattern.TextPattern arg0)

#### caseList

    public T caseList​(com.thaiopensource.relaxng.pattern.ListPattern arg0)

#### caseRef

    public T caseRef​(com.thaiopensource.relaxng.pattern.RefPattern arg0)